Send OTP via SMS
curl --request POST \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/otp/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderId": "<string>",
"phoneNumber": "<string>",
"phoneNumberCountry": "<string>"
}
'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/otp/send"
payload = {
"orderId": "<string>",
"phoneNumber": "<string>",
"phoneNumberCountry": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({orderId: '<string>', phoneNumber: '<string>', phoneNumberCountry: '<string>'})
};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/otp/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expiresAt": "<string>",
"message": "<string>"
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Bank Payout
Send OTP via SMS
Creates and sends an OTP to the specified phone number for an order. In sandbox the SMS is not delivered and the OTP code is always 123456.
POST
/
api
/
v1
/
account
/
otp
/
send
Send OTP via SMS
⌘I